#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-99Ws7yee3lm2uoVfFf458w-dns-internal
key:                  dns-4.0.1-99Ws7yee3lm2uoVfFf458w-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  fee18e1c437e9e81f5f21cd338bf3450
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-99Ws7yee3lm2uoVfFf458w-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-AchZoaoBkW77R9yfzfsmmv
    attoparsec-0.14.1-ANDnhONsuNz9itknOOpUk5
    auto-update-0.1.6-3iuqqYOHx1c8W2zkhug8Hq base-4.15.0.0
    base16-bytestring-1.0.1.0-BQkSsm1dgUa6ARySZCmtIT
    base64-bytestring-1.2.0.1-ApIXqNH7Qw19tHOhhZxfrm
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-5CBcpalJYj65MOU2i9kIc8
    hourglass-0.2.12-DbhPgNPiCff6bqshlPQPVV
    iproute-1.7.11-L6Eltpcc4xAG3m1iZWiuVy mtl-2.2.2
    network-3.1.2.2-236WuLz0KSJItCDFTCG0dO
    psqueues-0.2.7.2-8dJavwXeUEDDutsJc6wKBf

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-35GdTIk9BpTD6n5sJnxgHH
key:                  dns-4.0.1-35GdTIk9BpTD6n5sJnxgHH
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  1560d07243098182871ae9fd30116ebf
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-35GdTIk9BpTD6n5sJnxgHH
depends:
    array-0.5.4.0 async-2.2.3-AchZoaoBkW77R9yfzfsmmv
    attoparsec-0.14.1-ANDnhONsuNz9itknOOpUk5
    auto-update-0.1.6-3iuqqYOHx1c8W2zkhug8Hq base-4.15.0.0
    base16-bytestring-1.0.1.0-BQkSsm1dgUa6ARySZCmtIT
    base64-bytestring-1.2.0.1-ApIXqNH7Qw19tHOhhZxfrm
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-5CBcpalJYj65MOU2i9kIc8
    dns-4.0.1-99Ws7yee3lm2uoVfFf458w-dns-internal
    hourglass-0.2.12-DbhPgNPiCff6bqshlPQPVV
    iproute-1.7.11-L6Eltpcc4xAG3m1iZWiuVy mtl-2.2.2
    network-3.1.2.2-236WuLz0KSJItCDFTCG0dO
    psqueues-0.2.7.2-8dJavwXeUEDDutsJc6wKBf

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

